<?php

/**
 * @file
 * Defines link type classes for Autolink Brackets Plugin module.
 */

/**
 * Defines the bracket link type provider class.
 */
class AutolinkBracketProvider extends AutolinkProvider {

  /**
   * Provides bracket style links to Autolink.
   */
  function provideLinks($type) {
    $nodes = array();
    $types = $this->config->fetchArraySetting('node_types')->getEnabled();
    if (!empty($types)) {
      $result = db_query('SELECT * FROM {node} WHERE type IN ('. db_placeholders($types) .')', $types);
      while ($node = db_fetch_object($result)) {
        $pattern = '[#'. $node->nid .']';
        $nodes[$node->nid] = array('keyword' => $pattern, 'path' => "node/{$node->nid}", 'title' => $node->title, 'nid' => $node->nid);
      }
    }
    return $nodes;
  }
}
