<?php

/**
 * @file
 * Defines the Autolink Bracket Links Plugin class.
 */

/**
 * Defines the plugin.
 */
class AutolinkBracketsPlugin extends AutolinkPlugin {

  /**
   * Returns link attributes. The title is based on token patterns if enabled.
   */
  function getAttributes(AutolinkLink $link) {
    if (module_exists('token')) {
      $node = node_load($link->get('nid'));
      if ($node) {
        $pattern = $this->config->get('node_title', '[title]');
        $title = !empty($pattern) ? token_replace($pattern, 'node', $node) : $link->get('keyword');
      }
    }
    else {
      $title = $link->get('keyword');
    }
    return array(
      'title' => $title,
      'style' => $this->config->get('autolink_style', ''),
      'class' => $this->config->get('autolink_class', ''),
      'target' => $this->config->get('target', 'none'),
    );
  }

  /**
   * Returns the node title as stored in the bracket link object.
   */
  function getText(AutolinkLink $link, $match) {
    return $link->get('title');
  }

}
